<template>
  <StyledHeader>
    <StyledContainer>
      <a-row :gutter=16 type='flex' align='middle' justify='center'>
        <a-col :xl="{flex: 5}">
          <AtomBrandLogo
            src="logo-cosmo.png"
            alt="Cultura Cosmo Logo"
          />
        </a-col>
        <a-col :xl="{flex: 6}">
          <MoleculeHeaderNavigation />
        </a-col>
        <a-col :xl="{flex: 4}">
          <MoleculeHeaderUser />
        </a-col>
      </a-row>
    </StyledContainer>
  </StyledHeader>
</template>

<script>
import AtomBrandLogo from '../../Atoms/AtomBrandLogo/AtomBrandLogo.vue';
import MoleculeHeaderNavigation from '../../Molecules/MoleculeHeaderNavigation/MoleculeHeaderNavigation.vue';
import MoleculeHeaderUser from '../../Molecules/MoleculeHeaderUser/MoleculeHeaderUser.vue';

import StyledHeader from '../../../styles/Organisms/OrganismHeader/OrganismHeader';
import { StyledContainer } from '../../../styles/Styles';

export default {
  name: 'OrganismHeader',

  components: {
    MoleculeHeaderNavigation,
    MoleculeHeaderUser,
    AtomBrandLogo,
    StyledHeader,
    StyledContainer,
  },
};
</script>
